icedtea-7-plugin:amd64

Asked by OLfat on 2014-09-08

Hello I ma usinng icedtea-7-plugin:amd64 on ubuntu 14.10

when i try to install any thing i got the following error:
Setting up icedtea-netx:amd64 (1.5.1-1ubuntu1) ...
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings because link group itweb-settings is broken
update-alternatives: warning: not replacing /usr/share/man/man1/itweb-settings.1.gz with a link
update-alternatives: warning: forcing reinstallation of alternative /usr/lib/jvm/java-7-openjdk-amd64/jre/bin/itweb-settings because link group itweb-settings is broken
update-alternatives: warning: not replacing /usr/share/man/man1/itweb-settings.1.gz with a link
update-alternatives: error: alternative path /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws doesn't exist
dpkg: error processing package icedtea-netx:amd64 (--configure):
 subprocess installed post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of icedtea-7-plugin:amd64:
 icedtea-7-plugin:amd64 depends on icedtea-netx (= 1.5.1-1ubuntu1); however:
  Package icedtea-netx:amd64 is not configured yet.

dpkg: error processing package icedtea-7-plugin:amd64 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of icedtea-plugin:
 icedtea-plugin depends on icedtea-7-plugin; however:
  Package icedtea-7-plugin:amd64 is not configured yet.

No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          No apport report written because the error message indicates its a followup error from a previous failure.
                                                                    dpkg: error processing package icedtea-plugin (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 icedtea-netx:amd64
 icedtea-7-plugin:amd64
 icedtea-plugin

can someone help me?

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu icedtea-web Edit question
Assignee:
No assignee Edit question
Solved by:
OLfat
Solved:
2014-09-10
Last query:
2014-09-10
Last reply:
2014-09-08

I suggest you report a bug. Utopic is not even remotely ready and not stable. If you want an OS that works I recommend you wipe Utopic off and do a clean install of Trusty. Trusty is LTS and supported til April 2019. Utopic will only have 9 months of support once released.

If you are happy to stomach bugs and feature holes then by all means use Utopic and report bugs to get the release ready but do not expect a smooth ride. It will also be fairly buggy even a few weeks after release.

OLfat (olfat-ibrahim) said : #2

thanks

OLfat (olfat-ibrahim) said : #3

as i understand it is a bug in icedtea-7-plugin it assumes that /usr/lib/jvm/java-8-openjdk-amd64/jre/bin/javaws is there and then fail to find it but i can not find where to fix this

Again, please report a bug and wait for the fix

Again, please report a bug and wait for the fix

OLfat (olfat-ibrahim) said : #6

thanks i solve it .

Fabio (fabiomoli92) said : #7

How can I solve this problem?

Joshua (hondajosh) said : #8

OLfat, how did you solve it? Please link the solution.

If you don't mind messing up the filesystem a little bit:
sudo ln -sv /usr/lib/jvm/java-7-openjdk-amd64 /usr/lib/jvm/java-8-openjdk-amd64

Then complete/configure the install that failed:
sudo apt-get -f install

Then the installer will be happy and complete.

OLfat (olfat-ibrahim) said : #10

i'm sorry i do not remember the full command but i used : prune

OLfat (olfat-ibrahim) said : #11

LukasThyWalls in here propose:

https://bugs.launchpad.net/ubuntu/+source/icedtea-web/+bug/1363785

Also affected on a fresh install of Ubuntu 14.10 trying to install
openjdk-6-jdk. Used the workaround reported by UbuntuFlo
https://bugs.launchpad.net/ubuntu/+source/icedtea-
web/+bug/1363785/comments/14 and it was enough to fix the broken
dependency.

Joshua (hondajosh) said : #12

Oracle Java works.

Sent from my Android phone
On Nov 3, 2014 7:06 AM, "OLfat" <email address hidden>
wrote:

> Question #254216 on icedtea-web in Ubuntu changed:
> https://answers.launchpad.net/ubuntu/+source/icedtea-web/+question/254216
>
> OLfat posted a new comment:
>
> LukasThyWalls in here propose:
>
>
> https://bugs.launchpad.net/ubuntu/+source/icedtea-web/+bug/1363785
>
>
> Also affected on a fresh install of Ubuntu 14.10 trying to install
> openjdk-6-jdk. Used the workaround reported by UbuntuFlo
> https://bugs.launchpad.net/ubuntu/+source/icedtea-
> web/+bug/1363785/comments/14 and it was enough to fix the broken
> dependency.
>
> --
> You received this question notification because you are a direct
> subscriber of the question.
>